All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::DeviceVector< T > Class Template Reference

## Public Member Functions

| DeviceVector (MemorySpace space=MemorySpace::Device)
void | clear ()
size_t | size () const
size_t | capacity () const
T * | data ()
const T * | data () const
template<typename OutT >
std::vector< OutT > | copyToHost (cudaStream_t stream) const
bool | append (const T *d, size_t n, cudaStream_t stream, bool reserveExact=false)
bool | resize (size_t newSize, cudaStream_t stream)
size_t | reclaim (bool exact, cudaStream_t stream)
bool | reserve (size_t newCapacity, cudaStream_t stream)

## Detailed Description

### template<typename T>
class faiss::gpu::DeviceVector< T >

A simple version of thrust::device_vector<T>, but has more control over whether resize() initializes new space with T() (which we don't want), and control on how much the reserved space grows by upon resize/reserve. It is also meant for POD types only.

Definition at line 28 of file DeviceVector.cuh.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/gpu/utils/DeviceVector.cuh